use tock_registers::{registers::{ReadWrite, WriteOnly}, register_bitfields, register_structs};

pub const PL061REGS: *mut PL061Regs = (0xfffffff000000000u64 + 0x0903_0000) as *mut PL061Regs;

register_bitfields![
    u32,
    pub GPIOIE [
        IO3 OFFSET(3) NUMBITS(1) [
            Disabled = 0,
            Enabled = 1
        ]
    ],
];

register_structs! {
    pub PL061Regs {
        (0x000 => __reserved_0),                                               // 0x000
        (0x410 => pub ie: ReadWrite<u32, GPIOIE::Register>),                   // 0x410
        (0x414 => __reserved_1),                                               // 0x414
        (0x41C => pub ic: WriteOnly<u32>),                                     // 0x41C
        (0x420 => @END),                                                       // 0x420
    }
}